Page MenuHomePhabricator

Add a link to alternative upload methods in UploadWizard
Closed, ResolvedPublic

Description

[Original bug title: Create uploadwizard-summary-footer]

Please create MediaWiki:uploadwizard-summary-footer so that we can add a template to the UploadWizard footer. The template is using autotranslate and therefore no language subpages (like /de , ...) needed.

See https://commons.wikimedia.org/wiki/Commons:Village_pump/Proposals/Archive/2015/06#Add_Template:Commons_upload_tools_or_a_link_to_Commons:Upload_tools_to_Special:UploadWizard

Event Timeline

Steinsplitter updated the task description. (Show Details)
Steinsplitter raised the priority of this task from to Needs Triage.
Steinsplitter added projects: Commons, Multimedia.
Restricted Application added subscribers: Matanya, Aklapper. · View Herald TranscriptJun 26 2015, 4:51 PM
Steinsplitter moved this task from Incoming to Backlog on the Commons board.Jun 26 2015, 4:53 PM
matmarex renamed this task from Crate uploadwizard-summary-footer to Create uploadwizard-summary-footer.Jun 26 2015, 7:34 PM
matmarex updated the task description. (Show Details)
matmarex set Security to None.
Yann added a subscriber: Yann.Jun 28 2015, 5:25 PM

Please create MediaWiki:uploadwizard-summary-footer

In which codebase (as no codebase project is associated to this task)? Is this about UploadWizard itself?

Please create MediaWiki:uploadwizard-summary-footer

In which codebase (as no codebase project is associated to this task)? Is this about UploadWizard itself?

MediaWiki:Uploadwizard-summary is displayed at the top of Special:UploadWizard, it seems we need the same thing again for the bottom of that page. So yeah, probably UploadWizard itself.

Would it make sense to use #contentSub instead of adding footer?

Would it make sense to use #contentSub instead of adding footer?

hi! with contentsub you mean the yellow banner? Or the intro file?

hi! with contentsub you mean the yellow banner? Or the intro file?

Hey! I mean the line below the heading, as shown in the screenshot.

hi! with contentsub you mean the yellow banner? Or the intro file?

Hey! I mean the line below the heading, as shown in the screenshot.

We like to add {{TNT|Commons upload tools}} , so footer is bether.

@El_Grafo what do you think?

hi! with contentsub you mean the yellow banner? Or the intro file?

Hey! I mean the line below the heading, as shown in the screenshot.

We like to add {{TNT|Commons upload tools}} , so footer is bether.

@El_Grafo what do you think?

I'm totally fine with both options. If this is something that can be done easily, while the footer option requires days of coding, I'd say go for it. It's less "in your face", but people seem to find the feedback page so I guess they'd find this one as well.

@Prtksxna: Then whatever you like (link is fine too) :-)

Jdforrester-WMF triaged this task as Low priority.Sep 4 2015, 6:55 PM
Jdforrester-WMF moved this task from Untriaged to Backlog on the Multimedia board.Sep 4 2015, 7:00 PM

Change 226038 had a related patch set uploaded (by Prtksxna):
Add link to alternative upload methods in #contentSub

https://gerrit.wikimedia.org/r/226038

Prtksxna updated the task description. (Show Details)Oct 6 2015, 4:51 PM

Change 226038 merged by jenkins-bot:
Add link to alternative upload methods in #contentSub

https://gerrit.wikimedia.org/r/226038

matmarex renamed this task from Create uploadwizard-summary-footer to Add a link to alternative upload methods in UploadWizard.Oct 14 2015, 12:51 PM
matmarex updated the task description. (Show Details)
matmarex closed this task as Resolved.
matmarex removed a project: Patch-For-Review.
matmarex added a subscriber: matmarex.

The change will be deployed to Commons on next Wednesday, 21 October 2015, according to https://www.mediawiki.org/wiki/MediaWiki_1.27/Roadmap (which someone really should populate with the following weeks…).